# -*- coding: utf-8 -*-
"""
Created on Thu Jan 25 18:15:45 2018

@author: Alvaro
"""

_props = {'LineWidth1': 1 , 'LineWidth2' : 1,
          'EdgeColor1' : 'k', 'EdgeColor2' : 'k',
          'MarkerFaceColor' : 'k', 'MarkerEdgeColor' : 'k',
          'MarkerSize' : 1, 
          'FaceColor1' : 'k', 'FaceColor2' : 'k',
          'auto_scale' : False, 'dim' : 0.05, # Si auto_scale = False, se toma la dimensión real de la cuestión y las fuerzas a escala. 
                                            # Para barras, la auto es el canto, para las fuerzas, un escalado por magnitud. Para puntos y       
                                            # 3BC, una determinada fracción del tamaño del problema.
          'rel_scale' : 1,
          'visible' : True
          }

class Style(object):
    def __init__(self, **kwargs):
        if 'ID' in kwargs.keys():
            self.ID = kwargs['ID']
        else:
            self.ID = id(self)
            
        for key in _props.keys():
            if key in kwargs:
                setattr(self, key, kwargs[key])
            else:
                setattr(self, key, _props[key])
        
    def __repr__(self):
        return 'Estilo ' + str(self.ID)
    
    def __str__(self):
        pass
    
    def copy(self, ID):
        pass
    
# Default Styles for the program
defNodeStyle = Style(ID = 'defNodeStyle', EdgeColor1 = 'k', dim = 0.075, FaceColor1 = '#929591')
defBarStyle = Style(ID = 'defBarStyle')
defLoadStyle = Style(ID = 'defLoadStyle', EdgeColor1 = 'r', FaceColor1 = 'r', dim = None)
defBCStyle = Style(ID = 'defBCStyle')