# -*- coding: utf-8 -*-
"""
Este fichero actúa de inicializador de todo el paquete, importando los módulos 
y subpaquetes que sea necesario.

Created on Wed Aug 30 19:42:37 2017

@author: Alvaro
"""

from StruPy2D.Node import Node
from StruPy2D.Bar import Bar
from StruPy2D.Material import Material, defMat
from StruPy2D.Section import Section, defSec
from StruPy2D.Load import Load, LoadGroup
from StruPy2D.Structure import Structure
from StruPy2D.Static import Static
from StruPy2D.Buckling import Buckling
from StruPy2D.Graphics.Style import Style

from StruPy2D.config import CLAMPED, FIXED, H_MOVING, V_MOVING, H_MOV_CLA, V_MOV_CLA

"""
import Bar as br
import Load as ld
import Material as mt
import Section as sc
import Structure as sr
import Static as st
import Buckling as bu
"""
